Loading...
Searching...
No Matches
tsb_vector_sink.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/tagged_stream_block.h>`
`#include <cstdint>`
Include dependency graph for tsb_vector_sink.h:

Go to the source code of this file.

## Classes

class | gr::blocks::tsb_vector_sink< T >
| A vector sink for tagged streams. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef tsb_vector_sink< std::uint8_t > | gr::blocks::tsb_vector_sink_b
typedef tsb_vector_sink< std::uint32_t > | gr::blocks::tsb_vector_sink_i
typedef tsb_vector_sink< std::uint16_t > | gr::blocks::tsb_vector_sink_s
typedef tsb_vector_sink< float > | gr::blocks::tsb_vector_sink_f
typedef tsb_vector_sink< gr_complex > | gr::blocks::tsb_vector_sink_c